# Uses of Interface
org.apache.wiki.ui.admin.AdminBean

Packages that use AdminBean
Package
Description
org.apache.wiki.ui.admin
Contains classes for the JSPWiki administrative interface.
org.apache.wiki.ui.admin.beans

## Uses of AdminBean in org.apache.wiki.ui.admin

Classes in org.apache.wiki.ui.admin that implement AdminBean
Modifier and Type
Class
Description
`class`
`SimpleAdminBean`
Provides an easy-to-use interface for JSPWiki AdminBeans, which also are JMX MBeans.
`class`
`WikiFormAdminBean`
This class is still experimental.
Methods in org.apache.wiki.ui.admin that return AdminBean
Modifier and Type
Method
Description
`AdminBean`
AdminBeanManager.`findBean(String id)`
Locates a bean based on the AdminBean.getId() out of all the registered beans.
`AdminBean`
DefaultAdminBeanManager.`findBean(String id)`
Methods in org.apache.wiki.ui.admin that return types with arguments of type AdminBean
Modifier and Type
Method
Description
`List<AdminBean>`
AdminBeanManager.`getAllBeans()`
Lists all administration beans which are currently known and instantiated.
`List<AdminBean>`
DefaultAdminBeanManager.`getAllBeans()`

## Uses of AdminBean in org.apache.wiki.ui.admin.beans

Classes in org.apache.wiki.ui.admin.beans that implement AdminBean
Modifier and Type
Class
Description
`class`
`CoreBean`
An AdminBean which manages the JSPWiki core operations.
`class`
`FilterBean`
`class`
`ModuleBean`
`class`
`PlainEditorAdminBean`
This class is still experimental.
`class`
`PluginBean`
`class`
`SearchManagerBean`
The SearchManagerBean is a simple AdminBean interface to the SearchManager.
`class`
`UserBean`